---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libSuspendWithCurrentThread.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL13threads_count, symObjAddr: 0x21C50, symBinAddr: 0x3040, symSize: 0x0 }
  - { offsetInCU: 0xAA, offset: 0xAA, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x21C58, symBinAddr: 0x3048, symSize: 0x0 }
  - { offsetInCU: 0x8CE1, offset: 0x8CE1, size: 0x8, addend: 0x0, symName: __ZL7threads, symObjAddr: 0x21C60, symBinAddr: 0x3050, symSize: 0x0 }
  - { offsetInCU: 0xA637, offset: 0xA637, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x740, symSize: 0x30 }
  - { offsetInCU: 0xA989, offset: 0xA989, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_registerTestedThreads, symObjAddr: 0xE90, symBinAddr: 0x770, symSize: 0x110 }
  - { offsetInCU: 0xAC1E, offset: 0xAC1E, size: 0x8, addend: 0x0, symName: _Java_ThreadToSuspend_suspendTestedThreads, symObjAddr: 0xFA0, symBinAddr: 0x880, symSize: 0x3C0 }
  - { offsetInCU: 0xB150, offset: 0xB150, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_checkTestedThreadsSuspended, symObjAddr: 0x1360, symBinAddr: 0xC40, symSize: 0x120 }
  - { offsetInCU: 0xB303, offset: 0xB303, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_resumeTestedThreads, symObjAddr: 0x1480, symBinAddr: 0xD60, symSize: 0x230 }
  - { offsetInCU: 0xB630, offset: 0xB630, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_releaseTestedThreadsInfo, symObjAddr: 0x16B0, symBinAddr: 0xF90, symSize: 0xF0 }
  - { offsetInCU: 0xB7CC, offset: 0xB7CC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x17A0, symBinAddr: 0x1080, symSize: 0x97 }
...
